gnutls_x509_crt_to_xml(3)

NAME
gnutls_x509_crt_to_xml - This function parses an RDN sequence

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_to_xml(gnutls_x509_crt_t cert, gnutls_datum_t * res, int detail);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

gnutls_datum_t * res
    The datum that will hold the result

int detail
    The detail level (must be GNUTLS_XML_SHOW_ALL or GNUTLS_XML_NORMAL)

DESCRIPTION
This function will return the XML structures of the given X.509 certificate. The XML structures are allocated internally (with malloc) and stored into res. Returns a negative error code in case of an error.

DEPRECATED
This function is currently not implemented. See the NEWS entry for GnuTLS version 1.3.5.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.